Index: file.cpp
===================================================================
--- file.cpp	(revision 5398)
+++ file.cpp	(working copy)
@@ -871,8 +871,13 @@
             QByteArray ba;
             if (!ip->loaded()) {
                   QFile inFile(srcPath);
-                  if (!inFile.open(QIODevice::ReadOnly))
-                        throw(QString("cannot open picture file"));
+                  if (!inFile.open(QIODevice::ReadOnly)) {
+                        QMessageBox::warning(0, tr("Internal error"),
+                             tr("Cannot load picture file %1").arg(srcPath),
+                             QMessageBox::Ok, QMessageBox::NoButton);
+                        qDebug ("Cannot load picture file %s", srcPath.toLatin1().data());
+                        continue;
+                        }
                   ip->buffer().setData(inFile.readAll());
                   inFile.close();
                   ip->setLoaded(true);
